Bug 249052 - security/libp11: fails to package in poudriere
Summary: security/libp11: fails to package in poudriere
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alex Dupre
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-01 12:38 UTC by Ole
Modified: 2020-09-03 10:55 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ale)


Attachments
Full output (48.64 KB, text/plain)
2020-09-01 12:38 UTC, Ole
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ole 2020-09-01 12:38:54 UTC
Created attachment 217691 [details]
Full output

on FreeBSD 12.1 and 11.3 it fails to package.
Full output is attached.

=======================<phase: package        >============================
===>  Building package for libp11-0.4.10
pkg-static: Unable to access file /wrkdirs/usr/ports/security/libp11/work/stage/usr/local/lib/libp11.so.2:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/security/libp11/work/stage/usr/local/lib/libp11.so.2.5.2:No such file or directory
*** Error code 1

Stop.
make: stopped in /usr/ports/security/libp11
=>> Cleaning up wrkdir
===>  Cleaning for libp11-0.4.10
build of security/libp11 | libp11-0.4.10 ended at Tue Sep  1 01:23:38 CEST 2020
build time: 00:01:45
!!! build failure encountered !!!
Comment 1 geraud 2020-09-01 22:10:22 UTC
I had the same issue yesterday on a 12.1-RELEASE box using poudriere with an up-to-date ports tree. 

Don't know if it helps, but the port built some libp11.so.3 and libp11.so.3.4.2 files instead.

I don't have access to the build log right now, but I may provide them later today if required.
Comment 2 Alex Dupre freebsd_committer 2020-09-02 10:34:35 UTC
You forgot to tell that you are using a custom make.conf in poudriere ;-)

I've identified the issue in the use of ports' openssl, instead of base. I'll fix it soon.
Comment 3 commit-hook freebsd_committer 2020-09-02 14:43:10 UTC
A commit references this bug:

Author: ale
Date: Wed Sep  2 14:42:41 UTC 2020
New revision: 547361
URL: https://svnweb.freebsd.org/changeset/ports/547361

Log:
  Fix soname version generation and bump port revisions.

  PR:		249052
  Submitted by:	Ole <ole@free.de>

Changes:
  head/security/libp11/Makefile
  head/security/libp11/files/patch-configure.ac
  head/security/libp11/pkg-plist
  head/security/pam_p11/Makefile
Comment 4 Ole 2020-09-03 10:55:50 UTC
Thank You very much! This worked for me.